/* AUTO-GENERATED FILE. DO NOT MODIFY.
 * This class was automatically generated by the
 * static binding generator from the resources it found.
 * Please do not modify by hand.
 */
package com.tns.gen.java.lang;

public class Object_vendor_113397_36_ListViewLoadOnDemandListenerImpl extends java.lang.Object
    implements com.tns.NativeScriptHashCodeProvider,
        com.telerik.widget.list.LoadOnDemandBehavior.LoadOnDemandListener {
  public Object_vendor_113397_36_ListViewLoadOnDemandListenerImpl() {
    super();
    com.tns.Runtime.initInstance(this);
  }

  public void onLoadStarted() {
    java.lang.Object[] args = new java.lang.Object[0];
    com.tns.Runtime.callJSMethod(this, "onLoadStarted", void.class, args);
  }

  public void onLoadFinished() {
    java.lang.Object[] args = new java.lang.Object[0];
    com.tns.Runtime.callJSMethod(this, "onLoadFinished", void.class, args);
  }

  public int hashCode__super() {
    return super.hashCode();
  }

  public boolean equals__super(java.lang.Object other) {
    return super.equals(other);
  }
}
